## org.eclipse.datatools.modelbase.dbdefinition
Interface UserDefinedTypeDefinition

All Known Implementing Classes:
  UserDefinedTypeDefinitionImpl

    public interface UserDefinedTypeDefinition

A representation of the model object 'User Defined Type Definition'.

The following features are supported:

- `Default Value Supported`
- `Distinct Type Supported`
- `Structured Type Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getUserDefinedTypeDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`boolean` `isDefaultValueSupported()` Returns the value of the 'Default Value Supported' attribute.
`boolean` `isDistinctTypeSupported()` Returns the value of the 'Distinct Type Supported' attribute.
`boolean` `isStructuredTypeSupported()` Returns the value of the 'Structured Type Supported' attribute.
`void` `setDefaultValueSupported(boolean value)` Sets the value of the '`Default Value Supported`' attribute.
`void` `setDistinctTypeSupported(boolean value)` Sets the value of the '`Distinct Type Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setStructuredTypeSupported(boolean value)` Sets the value of the '`Structured Type Supported`' attribute.

Method Detail

### isDefaultValueSupported

    boolean isDefaultValueSupported()

  Returns the value of the 'Default Value Supported' attribute.

  If the meaning of the 'Default Value Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value Supported' attribute.
  See Also:
    `setDefaultValueSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_DefaultValueSupported()`

### setDefaultValueSupported

    void setDefaultValueSupported(boolean value)

  Sets the value of the '`Default Value Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value Supported' attribute.
  See Also:
    `isDefaultValueSupported()`

### isDistinctTypeSupported

    boolean isDistinctTypeSupported()

  Returns the value of the 'Distinct Type Supported' attribute.

  If the meaning of the 'Distinct Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Distinct Type Supported' attribute.
  See Also:
    `setDistinctTypeSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_DistinctTypeSupported()`

### setDistinctTypeSupported

    void setDistinctTypeSupported(boolean value)

  Sets the value of the '`Distinct Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Distinct Type Supported' attribute.
  See Also:
    `isDistinctTypeSupported()`

### isStructuredTypeSupported

    boolean isStructuredTypeSupported()

  Returns the value of the 'Structured Type Supported' attribute.

  If the meaning of the 'Structured Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Structured Type Supported' attribute.
  See Also:
    `setStructuredTypeSupported(boolean)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_StructuredTypeSupported()`

### setStructuredTypeSupported

    void setStructuredTypeSupported(boolean value)

  Sets the value of the '`Structured Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Structured Type Supported' attribute.
  See Also:
    `isStructuredTypeSupported()`

### getMaximumIdentifierLength

    int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getUserDefinedTypeDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.